#include "Worker.h"

Worker::Worker(QObject *parent)
    : QTimer(parent)
    , m_timer(new QTimer(this))
    //, m_time(QTime::currentTime())
{

    connect(&m_timer, &QTimer::timeout, this, &Worker::showGPS);
    m_timer.setInterval(1000);
    //m_timer.start();
}

Worker::~Worker()
{}



void Worker::showGPS()
{
    //setTime(QTime::currentTime().toString());
    qDebug() << __PRETTY_FUNCTION__ << QTime::currentTime();
    time=QTime::currentTime().toString();
    emit timeChanged(QTime::currentTime().toString());
}

//void Worker::setTime(QString time)
//{
////    if (m_time == time)
////        return;

//   // m_time = time;
//    emit timeChanged(time);
//}

void Worker::go()
{
    m_timer.start();
    qDebug() << __PRETTY_FUNCTION__ << QTime::currentTime();
}
